Bug 36281 - show a reboot server button in the UMC menu
show a reboot server button in the UMC menu
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Florian Best
Drees Dormann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-23 12:46 CEST by Florian Best
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
add reboot menu in UMC menu (1.44 KB, patch)
2014-10-23 12:46 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2014-10-23 12:46:35 CEST
Created attachment 6208 [details]
add reboot menu in UMC menu

The UMC menu could show a button which offers to reboot or shutdown the server.

Should - like the current reboot module - the user be possible to enter a reason message for the shutdown?

There are currently 2 modules which offer the functionality: 'reboot' and 'lib/server'.

For lib/server there is no way to determine if the user has permission to reboot/shutdown the server because by default every user has the permission to the 'lib' module.

As solution i would suggest to adapt the reboot module to
* not return a umc/widgets/_ModuleMixin so that it is not shown on the overview page
* add a menu to umc.app which offers the reboot/restart functionality
* adapt the operation set to allow lib/server/reboot / lib/server/shutdown
* use the JS code of lib/server to show the dialog

a small example patch is attached as first idea.
Comment 1 Florian Best univentionstaff 2014-10-23 15:26:56 CEST
The approach from above has been implemented.
univention-management-console-module-reboot (4.1.2-1) 
univention-management-console-module-lib (4.0.1-1)
Changelog: added
Comment 2 Drees Dormann univentionstaff 2014-10-31 14:27:06 CET
reboot and shutdown buttons are correctly shown
and are working

changelog ok
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:55:17 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".